Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1024)

Unified Diff: build_tools/naclports.sh

Issue 132343007: Add top level build script for building packages. (Closed) Base URL: https://naclports.googlecode.com/svn/trunk/src
Patch Set: Created 6 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « build_tools/nacl_env.sh ('k') | ports/DevIL/build.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: build_tools/naclports.sh
diff --git a/build_tools/naclports.sh b/build_tools/naclports.sh
new file mode 100755
index 0000000000000000000000000000000000000000..cf0d7c027eaef01449e9e28077840ac253399d3a
--- /dev/null
+++ b/build_tools/naclports.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+# Copyright (c) 2014 The Native Client Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+#
+# Executable entry point for building nacl ports.
+# This script must be run from the indivdual port directory (containing
+# pkg_info and build.sh). Most of the code and heavy lifting is in
+# common.sh.
+
+readonly SCRIPT_DIR=$(cd "$(dirname "$BASH_SOURCE")" ; pwd)
+
+if [ ! -f pkg_info ]; then
+ echo "No pkg_info found in current directory"
+ exit 1
+fi
+source pkg_info
+
+source ${SCRIPT_DIR}/common.sh
+
+if [ -f build.sh ]; then
+ source build.sh
+fi
+
+NaclportsMain "$@"
« no previous file with comments | « build_tools/nacl_env.sh ('k') | ports/DevIL/build.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698